%define prerel		rc2
%define fversion	%{version}%{?prerel:%{prerel}}
%define fname		%{name}-%{fversion}
%define rel		1

Summary:	The Netwide Assembler, a portable x86 assembler with Intel-like syntax
Name:		nasm
Epoch:		2
Version:	2.16.03
Release:	%mkrel %{?prerel:-c %{prerel}} %{rel}
License:	BSD
Group:		Development/Other
URL:		https://www.nasm.us/
Source:		https://www.nasm.us/pub/nasm/releasebuilds/%{fversion}/%{fname}.tar.xz
Patch0:		nasm-2.16.01-switch-font-for-nasmdoc.patch
BuildRequires:	ghostscript
BuildRequires:	groff
BuildRequires:	texinfo
BuildRequires:	perl(Font::TTF::Font)
BuildRequires:	perl(Sort::Versions)
BuildRequires:	fonts-ttf-liberation

# Drop rdoff package as it has been discontinued upstream
Obsoletes:	nasm-rdoff < 2.16.01-1

%package doc
Summary:	Extensive documentation for NASM
Group:		Documentation

%description
NASM is the Netwide Assembler, a free portable assembler for the Intel
80x86 microprocessor series, using primarily the traditional Intel
instruction mnemonics and syntax.

%description doc
Extensive documentation for the Netwide Assembler, NASM, in HTML,
PostScript, RTF and text formats.

%prep
%autosetup -p1 -n %{fname}

%build
rm -f config.cache config.status config.log
%configure
%__make everything

%install
mkdir -p %{buildroot}/{%{_bindir},%{_infodir},%{_mandir}/man1}
%make_install
cd doc
bzip2 -9f nasmdoc*.txt nasmdoc*.ps||true
cd html
ln -sf nasmdoc0.html index.html

%check
make -C test golden test diff

%files
%doc CHANGES AUTHORS README.md doc/internal.doc
%license LICENSE
%attr(755,root,root) %{_bindir}/nasm
%attr(755,root,root) %{_bindir}/ndisasm
%{_mandir}/man1/nasm.1*
%{_mandir}/man1/ndisasm.1*

%files doc
%doc doc/nasmdoc.ps.bz2 doc/nasmdoc.txt.bz2  doc/html



%changelog
* Tue Apr 16 2024 kekepower <kekepower> 2:2.16.03-0.rc2.1.mga10
+ Revision: 2058073
- Update to version 2.16.03rc2

* Sat Apr 13 2024 kekepower <kekepower> 2:2.16.03-0.rc1.1.mga10
+ Revision: 2056730
- Update to version 2.16.03rc1

* Sun Apr 07 2024 kekepower <kekepower> 2:2.16.02-1.mga10
+ Revision: 2055331
- Update to version 2.16.02 final

* Mon Feb 12 2024 kekepower <kekepower> 2:2.16.02-0.rc10.1.mga10
+ Revision: 2040498
- Update to version 2.16.02-rc10

* Fri Jan 05 2024 kekepower <kekepower> 2:2.16.02-0.rc7.1.mga10
+ Revision: 2027876
- Update to version 2.16.02rc7

* Sun Dec 17 2023 kekepower <kekepower> 2:2.16.02-0.rc6.1.mga10
+ Revision: 2018490
- Update to version 2.16.02rc6
- Bump Epoch for rc6

* Sat Oct 14 2023 kekepower <kekepower> 1:2.16.02-1.mga10
+ Revision: 1996673
- Update to version 2.16.02rc2

* Mon Feb 20 2023 kekepower <kekepower> 1:2.16.01-1.mga9
+ Revision: 1944204
- Update to version 2.16.01
- Drop rdoff package (discontinued upstream)

* Thu Mar 17 2022 umeabot <umeabot> 1:2.15.05-2.mga9
+ Revision: 1797222
- Mageia 9 Mass Rebuild

* Fri Aug 28 2020 kekepower <kekepower> 1:2.15.05-1.mga8
+ Revision: 1619468
- Update to version 2.15.05
- Update to version 2.15.05rc2

* Tue Aug 25 2020 kekepower <kekepower> 1:2.15.04-1.mga8
+ Revision: 1618950
- Update to version 2.15.04

* Mon Jul 27 2020 kekepower <kekepower> 1:2.15.03-1.mga8
+ Revision: 1609328
- Update to version 2.15.03

* Wed Jul 08 2020 daviddavid <daviddavid> 1:2.15.02-2.mga8
+ Revision: 1602980
- fix a typo in switch-font-for-nasmdoc patch

* Wed Jul 08 2020 daviddavid <daviddavid> 1:2.15.02-1.mga8
+ Revision: 1602970
- new version: 2.15.02

* Wed Feb 19 2020 umeabot <umeabot> 1:2.14.02-2.mga8
+ Revision: 1544573
- Mageia 8 Mass Rebuild

* Sun Jan 26 2020 kekepower <kekepower> 1:2.14.02-1.mga8
+ Revision: 1483328
- Update to version 2.14.02
- Remove Patch1, merged upstream
+ wally <wally>
- replace deprecated %%configure2_5x

* Mon Sep 03 2018 tv <tv> 1:2.13.03-2.mga7
+ Revision: 1256514
- Patch 1: fix build with gcc-8/glibc-2.28
- remove unused deps on info-install

* Thu Feb 08 2018 kekepower <kekepower> 1:2.13.03-1.mga7
+ Revision: 1199753
- Update to version 2.13.03
- This update fixes CVE-2017-1781[0-9] and CVE-2017-17820 (mga#22388)
- Added a patch for fonts for nasm docs
- Removed unnecesasary, old patches

* Sun Aug 20 2017 neoclust <neoclust> 1:2.12.02-2.mga7
+ Revision: 1141839
- Fix use-after-free and heap buffer overflow vulnerabilities
- Resolves: CVE-2017-10686, CVE-2017-11111

* Thu Aug 11 2016 luigiwalser <luigiwalser> 1:2.12.02-1.mga6
+ Revision: 1045560
- 2.12.02

* Mon May 09 2016 luigiwalser <luigiwalser> 1:2.12.01-1.mga6
+ Revision: 1011797
- 2.12.01

* Fri Dec 25 2015 luigiwalser <luigiwalser> 1:2.11.08-1.mga6
+ Revision: 914520
- 2.11.08

* Wed May 13 2015 philippem <philippem> 1:2.11.07-2.mga5
+ Revision: 822029
- fix mga#3566,  rdf2ith, rdf2srec dangling links

* Wed Dec 10 2014 tmb <tmb> 1:2.11.07-1.mga5
+ Revision: 802585
- update to 2.11.07 (fixes regressions introduced in 2.11.06)

* Tue Nov 04 2014 luigiwalser <luigiwalser> 1:2.11.06-1.mga5
+ Revision: 795543
- 2.11.06

* Wed Oct 15 2014 umeabot <umeabot> 1:2.11.05-3.mga5
+ Revision: 739695
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1:2.11.05-2.mga5
+ Revision: 682799
- Mageia 5 Mass Rebuild

* Fri May 23 2014 luigiwalser <luigiwalser> 1:2.11.05-1.mga5
+ Revision: 625223
- 2.11.05

* Wed May 14 2014 luigiwalser <luigiwalser> 1:2.11.04-1.mga5
+ Revision: 622648
- 2.11.04

* Fri May 09 2014 luigiwalser <luigiwalser> 1:2.11.03-1.mga5
+ Revision: 621580
- 2.11.03

* Sat Feb 22 2014 luigiwalser <luigiwalser> 1:2.11.02-1.mga5
+ Revision: 595659
- 2.11.02

* Fri Jan 17 2014 luigiwalser <luigiwalser> 1:2.11-1.mga5
+ Revision: 566766
- 2.11

* Sat Oct 19 2013 umeabot <umeabot> 1:2.10.09-2.mga4
+ Revision: 530827
- Mageia 4 Mass Rebuild

* Sun Jul 28 2013 luigiwalser <luigiwalser> 1:2.10.09-1.mga4
+ Revision: 459881
- 2.10.09
+ umeabot <umeabot>
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Jan 05 2013 luigiwalser <luigiwalser> 1:2.10.07-1.mga3
+ Revision: 338912
- 2.10.07

* Sun Oct 14 2012 ennael <ennael> 1:2.10.05-2.mga3
+ Revision: 305460
- Documentation group

* Sun Oct 07 2012 luigiwalser <luigiwalser> 1:2.10.05-1.mga3
+ Revision: 303099
- 2.10.05

* Sun Aug 19 2012 luigiwalser <luigiwalser> 1:2.10.04-1.mga3
+ Revision: 282257
- 2.10.04

* Sun Jul 22 2012 tmb <tmb> 1:2.10.02-1.mga3
+ Revision: 273386
- update to 2.10.02

* Tue Sep 06 2011 tv <tv> 1:2.09.10-1.mga2
+ Revision: 139635
- new release

* Thu Jan 13 2011 ahmad <ahmad> 1:2.09.04-1.mga1
+ Revision: 7787
- imported package nasm

